Slideshow - Feature #971

Dark theme support
02/19/2015 12:14 AM - Luke Murphey

Status: Closed Start date: 02/19/2015
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 21

Description

History

#1 - 02/25/2015 11:54 PM - Luke Murphey

| found some information on how to do this:

e http://stackoverflow.com/questions/4766201/javascript-invert-color-on-all-elements-of-a-page
e http:/jsfiddle.net/[VKw6/8/

e http:/tonymuka.com/js/

e https://gist.github.com/paulirish/373253

This worked well for me:

invert_colors = function() {
// the css we are going to inject

var css = 'html {-webkit-filter: invert (100%);"' +
'-moz-filter: invert (100%);' +
'-o-filter: invert (100%);' +
'-ms—-filter: invert (100%); }',

head = document.getElementsByTagName ('head') [0],
style = document.createElement ('style');

// a hack, so you can "invert back" clicking the bookmarklet again

if (!'window.counter) { window.counter = 1;} else { window.counter ++;
if (window.counter % 2 == 0) { var css ='html {-webkit-filter: invert (0%); -moz-filter:
er: invert (0%); -ms—-filter: invert (0%); }'}
bi
style.type = 'text/css';

if (style.styleSheet) {

style.styleSheet.cssText = css;

} else {

style.appendChild (document.createTextNode (css)) ;
}

//injecting the css to the head
head.appendChild(style);
}

invert_colors();
http://stackoverflow.com/questions/4766201/javascript-invert-color-on-all-elements-of-a-page
http://jsfiddle.net/jVKw6/8/
http://tonymuka.com/js/
#2 - 02/26/2015 03:57 AM - Luke Murphey

Might want to hide scroll bars too since they stay white.

#3 - 02/26/2015 04:08 AM - Luke Murphey
- File inverted.png added
#4 - 02/26/2015 04:20 AM - Luke Murphey

It looks like this isn't supported in FireFox.

#5 - 02/26/2015 08:03 PM - Luke Murphey
- Status changed from New to Closed
- Target version set to 2.1

- % Done changed from 0 to 100

Files
inverted.png 92.1 KB 02/26/2015 Luke Murphey
